package sgc.portal.cw.cw0304.persistence;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0304.dto.CW03040001USearch;
import sgc.portal.cw.cw0304.model.CW03040001U;

import java.util.List;
import java.util.Map;

@Mapper
public interface CW03040001UMapper {
	
	//고충접수처리  조회
	List<EasyHashMap<String, Object>> selectProblemProcessList(CW03040001USearch search);
	
	String selectUserEmailList(CW03040001U cW03040001U);
	
	//위임고충 처리
	void updateProblemProcess1(CW03040001U cW03040001U);
	void updateProblemProcess2(CW03040001U cW03040001U);
	void updateProblemProcess3(CW03040001U cW03040001U);
	void updateProblemProcess4(CW03040001U cW03040001U);
	void insertProblemProcess(CW03040001U cW03040001U);
	
	//접수
	void updateProblemProcessReceipt(CW03040001U cW03040001U);
	
	//공개여부
	void updateProblemProcessOpen(CW03040001U cW03040001U);
}
